/*
 * @Author: XianKaiQun
 * @Date: 2020-08-17 09:48:39
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-17 09:48:43
 * @Description: 
 */
class DepositAssetDetailModel {
  String? assetName;
  String? assetFullName;
  String? chargeSubject;
  List<DepositeDetailsOfDepositAssetDetailModel>? depositeDetails;

  DepositAssetDetailModel({
    this.assetName,
    this.assetFullName,
    this.chargeSubject,
    this.depositeDetails,
  });

  DepositAssetDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    assetName = map['assetName'];
    assetFullName = map['assetFullName'];
    chargeSubject = map['chargeSubject'];
    depositeDetails = List<DepositeDetailsOfDepositAssetDetailModel>.from(
        (map["depositeDetails"] ?? [])
            .map((x) => DepositeDetailsOfDepositAssetDetailModel.fromJson(x)));
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['assetName'] = this.assetName;
    json['assetFullName'] = this.assetFullName;
    json['chargeSubject'] = this.chargeSubject;
    json['depositeDetails'] =
        List<dynamic>.from((depositeDetails ?? []).map((x) => x.toJson()));

    return json;
  }
}

class DepositeDetailsOfDepositAssetDetailModel {
  String? name;
  num? fee;

  DepositeDetailsOfDepositAssetDetailModel({
    this.name,
    this.fee,
  });

  DepositeDetailsOfDepositAssetDetailModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    name = map['name'];
    fee = map['fee'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['name'] = this.name;
    json['fee'] = this.fee;

    return json;
  }
}
